Bug 1000114 - [abrt] autokey-qt-0.90.4-2.fc18: model.py:632:persist:IOError: [Errno 2] No such file or directory: u'/home/three/.config/autokey/data/My Phrases/.First phrase.json'
[abrt] autokey-qt-0.90.4-2.fc18: model.py:632:persist:IOError: [Errno 2] No s...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: autokey (Show other bugs)
18
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Raghu Udiyar
Fedora Extras Quality Assurance
abrt_hash:c79b727e869397f958e7dfa4a07...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-22 13:47 EDT by Justin O'Brien
Modified: 2014-02-05 17:19 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:19:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (752 bytes, text/plain)
2013-08-22 13:47 EDT, Justin O'Brien
no flags Details
File: core_backtrace (342 bytes, text/plain)
2013-08-22 13:47 EDT, Justin O'Brien
no flags Details
File: environ (1.49 KB, text/plain)
2013-08-22 13:48 EDT, Justin O'Brien
no flags Details

  None (edit)
Description Justin O'Brien 2013-08-22 13:47:47 EDT
Version-Release number of selected component:
autokey-qt-0.90.4-2.fc18

Additional info:
reporter:       libreport-2.1.5
cmdline:        /usr/bin/python /usr/bin/autokey-qt
dso_list:       autokey-common-0.90.4-2.fc18.noarch
executable:     /usr/bin/autokey-qt
kernel:         3.10.7-100.fc18.i686
runlevel:       N 5
uid:            1000

Truncated backtrace:
model.py:632:persist:IOError: [Errno 2] No such file or directory: u'/home/three/.config/autokey/data/My Phrases/.First phrase.json'

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/autokey/qtui/configwindow.py", line 909, in on_save
    persistGlobal = self.stack.currentWidget().save()
  File "/usr/lib/python2.7/site-packages/autokey/qtui/configwindow.py", line 425, in save
    self.currentPhrase.persist()
  File "/usr/lib/python2.7/site-packages/autokey/model.py", line 632, in persist
    with open(self.get_json_path(), 'w') as jsonFile:
IOError: [Errno 2] No such file or directory: u'/home/three/.config/autokey/data/My Phrases/.First phrase.json'

Local variables in innermost frame:
self: Phrase('First phrase')
Comment 1 Justin O'Brien 2013-08-22 13:47:50 EDT
Created attachment 789287 [details]
File: backtrace
Comment 2 Justin O'Brien 2013-08-22 13:47:53 EDT
Created attachment 789288 [details]
File: core_backtrace
Comment 3 Justin O'Brien 2013-08-22 13:48:00 EDT
Created attachment 789289 [details]
File: environ
Comment 4 Fedora End Of Life 2013-12-21 09:30:50 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2014-02-05 17:19:07 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.